STI(8)

NAME
sti - Simulate Terminal Input: send characters to a tty device

SYNOPSIS
sti tty [string ...]

DESCRIPTION
sti connects to the specified tty and uses the TIOCSTI ioctl(2) to enter text as if it were typed in. This ioctl(2) is limited to the superuser.

sti will send the provided string if any; otherwise it sends the standard input. The string is interpreted using unvis(3).

SEE ALSO
ioctl(2), unvis(3)

HISTORY
The sti command first appeared in NetBSD 4.0.

AUTHORS
The sti command was written by Christos Zoulas <christos@NetBSD.org>.